
<?php 
/*
 * Various Functions wrapping large content blocks: Header, navigation row, core content, ...
 *
 */
?>

<?php
function vlt_title_row() {  ?>

        <!-- Header -->
        <div id="header">    
            <span onclick="location.href='<?php bloginfo( 'url' ); ?>';"> 

                <!-- Title - Text -->
                <span id="headertext"><a href="/">Vovinam Việt Võ Đạo – Kampfkunstschule</a></span>

                <!-- Subtitle - Text -->
                <span id="headersubtext"><a href="/">Vietnamesische Kampfkunst für Ravensburg, Weingarten und Umgebung</a></span>
                <span id="headerdecoration_top"></span>

                <!-- Title - Logo -->
                <a href="/"><span id="logo"></span></a>

                <!-- Title - RSS-Logo -->
                <a href="/feed"><span id="header_rss-logo"></span></a>

            </span>
        </div>

<?php
}
?>


<?php
function vlt_navigation_row() {  ?>

        <!-- Navigation Row - Left -->
        <div id="navigation_row_left">
            <?php 
                if( is_front_page() ): ?>
                    <a href="/" class="current-cat">Startseite</a>
                <?php else:?>
                    <a href="/">Startseite</a>                    
                <?php endif;            
            ?>
        </div>

        <!-- Navigation Row - Center -->
        <div id="navigation_row_center">
            <ul id="navigation_row_center_list">
                <?php 
                    $excat1 = get_category_by_slug('news')->term_id;
                    $excat2 = get_category_by_slug('faq')->term_id;
                    $array = array(
                        'style'        => 'list',
                        'orderby'      => 'slug', // sort by prefixing slug names, eg. 1_OneCat, 2_AnotherCat, ...
                        'hide_empty'   => 1,
                        'exclude'      => $excat1 . ',' . $excat2,
                        'title_li'     => ''
                        );
                    $separator = "-";
                    wp_list_categories( $array );
                ?>
            </ul>
        </div>

        <!-- Top Row - Right -->
        <div id="navigation_row_right">
            &nbsp;
        </div>

<?php
}
?>
    

<?php
function vlt_featured_content() {  ?>

        <!-- Featured Content Row - Left -->
        <div id="featured_content_left">
            <!--<img src="/wp-content/themes/Vovinam Light 2/images/Tag Cloud.png" border="0" />-->
        </div>

        <!-- Featured Content Row - Center -->
        <div id="featured_content_center">
            <!-- -->
            <a href="/bilder"><img src="<?php echo(THEME_URL."/images/titleimage.jpg");?>" /></a>
        </div>

<?php
}
?>


<?php 
/*
 * $filter = eg. 'cat=0', 'cat=1&tag=about'
 */
function vlt_content_by_category( $category_name, $type ) { ?>
   
    <?php
    
        $filter = "category_name=" . $category_name;

        /*echo("<h1>" . $category_name . "</h1>");*/
    
        // The Query
        // cat=0
        query_posts( $filter );

        // The Loop
        while ( have_posts() ) : the_post();
            
                $title = get_the_title();
                $link  = get_permalink();

                if( 'short' == $type ) {
                    echo('<div class="shortpost">');
                    echo('<a href="' . $link . '">' . $title . '</a>');
                    echo('</div>');
                }

                elseif( 'preview' == $type ) {
                    echo('<div class="post">');
                    echo('<h2><a href="' . $link . '">' . $title . '</a></h2>');
                    the_content();
                    echo("<span class=taglist>"); the_tags(", ");  echo("</span>"); 
                    echo('</div>');
                }

                else {
                    echo('<div class="post">');
                    echo('<h2><a href="' . $link . '">' . $title . '</a></h2>');
                    the_content();
                    echo("<span class=taglist>"); the_tags(", ");  echo("</span>"); 
                    echo('</div>');
                }
        endwhile;

        // Reset Query
        wp_reset_query();

    ?>


<?php 
}
?>

    
<?php 
function vlt_content_all_posts() { ?>
   
    <?php 
        rewind_posts();
        query_posts( "cat=-faq" );
        if ( have_posts() ) :
            while ( have_posts() ) : the_post();
                    $link  = '/?p=' . get_the_ID();
                    echo('<div class="post">');
                    echo '<h2>';
                    echo '<a href="' . $link . '">';
                    the_title();
                    echo '</a>';
                    echo '</h2>';
                    the_content();
                    echo('</div>');
            endwhile;
        else :
            echo wpautop( 'Sorry, no posts were found' );
        endif;
    ?>

<?php 
}
?>


<?php 
/*
 * All stuff which usually comes before the content, eg. header, siebar, navigation, ....
 * 
 * Common stuff for most pages
 * 
 * vlt_pre_content()
 * vlt_content()
 * vlt_post_content()
 * 
 */
function vlt_pre_content() {  ?>

    <?php get_header(); ?>

    <!-- Featured Content -->
    <div id="featured_content">
        <?php vlt_featured_content(); ?>
    </div>

    <div id="headerdecoration_bottom">
    </div>

    <!-- Featured Content -->
    <div id="navigation_row">
        <?php vlt_navigation_row(); ?>
    </div>
    <!-- Featured Content -->

    <!-- Main Content -->
    <div id="content">
        <?php get_sidebar('left'); ?>
 
        <div id="content_center">
        <a anchor="content" />
<?php
}
?>


<?php 
/*
 * All stuff which usually comes after the content, eg. ..., footer
 * 
 * Common stuff for most pages
 * 
 * vlt_pre_content()
 * vlt_content()
 * vlt_post_content()
 * 
 */
function vlt_post_content() {  ?>

        <?php get_footer(); ?>        
        </div>

        <?php get_sidebar('right'); ?>
    </div> 
    <!-- /Main Content -->

 
<?php
}
?>
